#!/usr/bin/env python
# -*- coding: utf-8 -*-

FONT_SIZE=10
RASTER=14

# ----------------------------------------------------------------------
# Richtet point am Raster aus und liefert die neue Koordinate zurück.
def pointOnRaster(point):
    x=int(point[0]/RASTER)*RASTER
    y=int(point[1]/RASTER)*RASTER
    return (x, y)

# ----------------------------------------------------------------------
# Liefert True, wenn color_str das Format "#xxxxxx" einhält - wobei
# "x" einem validen Hex-Zeichen entspicht.
def testColor(color_str):
    if len(color_str)!=7:
        return False
    if color_str[0]!="#":
        return False
    for c in color_str[1:]:
        if c not in "0123456789abcdefABCDEF":
            return False
    return True
